Skip to navigation

Retrieve an order action

View as Markdown
Retrieve the details of a specific Order Action object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the order action.
createdByIdstringOptional
The unique identifier of the user who created the order action.
createdDatedatetimeOptional

The time that the order action gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the order action.
updatedDatedatetimeOptional
The date and time when the order action was last updated.
contractEffectiveDatedateOptional

Effective contract date for this subscription, as yyyy-mm-dd.

customerAcceptanceDatedateOptional

The date on which the services or products within a subscription have been accepted by the customer, as yyyy-mm-dd.

typeenumOptional

Type of the order action.

Note: The change plan type of order action is supported for the Order to Revenue feature. However, it is currently not supported for the Billing - Revenue Integration feature. When Billing - Revenue Integration is enabled, the change plan type of order action will no longer be applicable in Zuora Billing.

sequenceintegerOptional
The sequence of the order actions processed in the order.
subscriptionVersionAmendmentIdstringOptional
The unique identifier of the amendment that changes the version of the subscription.
orderIdstringOptional
The unique identifier of the order that the order action belongs to.
subscriptionIdstringOptional
The unique identifier of the subscription associated with the order action.
subscriptionNumberstringOptional
The number of the subscription associated with the order action.
serviceActivationDatedateOptional

The date on which the services or products within a subscription have been activated and access has been provided to the customer, as yyyy-mm-dd.

autoRenewbooleanOptionalDefaults to false

If true, the subscription automatically renews at the end of the term.

renewSettingenumOptionalDefaults to RENEW_WITH_SPECIFIC_TERM
Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed.
Allowed values:
renewalTermlongOptionalDefaults to 0
The length of the period for the subscription renewal term.
renewalTermPeriodTypeenumOptionalDefaults to Month

The period type for the subscription renewal term.

This field is used with the renewalTerm field to specify the subscription renewal term.

Allowed values:
termStartDatedateOptional

The date on which the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date.

termTypeenumOptional
The type of the subscription term.
Allowed values:
currentTermlongOptional
The length of the period for the current subscription term.
currentTermPeriodTypeenumOptionalDefaults to Month
The period type for the current subscription term.
Allowed values:
suspendDatedateOptional

The date when subscription suspension takes effect, in the yyyy-mm-dd format.

resumeDatedateOptional
The resume date when the resumption takes effect.
cancellationEffectiveDatedateOptional

Date when the cancellation takes effect, in the yyyy-mm-dd format. Used only if cancellationPolicy is SpecificDate. It should not be earlier than the subscription contract-effective date, later than the subscription term-end date, or within a period for which the customer has been invoiced.

cancellationPolicyenumOptional
Cancellation method.
Allowed values:
paymentTermstringOptional

The name of the payment term associated with the subscription. For example, Net 30. The payment term determines the due dates of invoices.

Note:

  • If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.
  • If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Term from Account for this field during subscription creation, the value of this field is automatically set to null in the response body.
billToContactIdstringOptional

The ID of the bill-to contact associated with the subscription.

Note:

  • If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.
  • If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Contact from Account for this field during subscription creation, the value of this field is automatically set to null in the response body.
invoiceTemplateIdstringOptional

The ID of the invoice template associated with the subscription.

Note:

  • If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.
  • If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body.
sequenceSetIdstring or nullOptional

The ID of the sequence set associated with the subscription.

Note:

  • If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.
  • If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body.
shipToContactIdstringOptional

The ID of the ship-to contact associated with the subscription.

soldToContactIdstringOptional

The ID of the sold-to contact associated with the subscription.

Note:

  • If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.
  • If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Contact from Account for this field during subscription creation, the value of this field is automatically set to null in the response body.
clearingExistingPaymentTermbooleanOptionalDefaults to false

Whether to clear the existing payment term at the subscription level. This field is mutually exclusive with the paymentTerm field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

clearingExistingBillToContactbooleanOptionalDefaults to false

Whether to clear the existing bill-to contact ID at the subscription level. This field is mutually exclusive with the billToContactId field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

clearingExistingInvoiceTemplatebooleanOptionalDefaults to false

Whether to clear the existing invoice template ID at the subscription level. This field is mutually exclusive with the invoiceTemplateId field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

clearingExistingSequenceSetbooleanOptionalDefaults to false

Whether to clear the existing sequence set ID at the subscription level. This field is mutually exclusive with the sequenceSetId field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

clearingExistingShipToContactbooleanOptionalDefaults to false

Whether to clear the existing ship-to contact ID at the subscription level. This field is mutually exclusive with the shipToContactId field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

clearingExistingSoldToContactbooleanOptionalDefaults to false

Whether to clear the existing sold-to contact ID at the subscription level. This field is mutually exclusive with the soldToContactId field.

Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body.

communicationProfileIdstring or nullOptional

The ID of the communication profile associated with the subscription.

Note: This field is available in the request body only if you have the Flexible Billing Attributes feature turned on. The value is null in the response body without this feature turned on.

clearingExistingCommunicationProfilebooleanOptionalDefaults to false

Whether to clear the existing communication profile at the subscription level. This field is mutually exclusive with the communicationProfileId field.

subTypeenumOptional

The sub type for the change plan order action.

If this field was not set by user, the field is automatically generated by the system according to the following rules:

When the old and new rate plans are within the same Grading catalog group:

  • If the grade of new plan is greater than that of the old plan, this is an “Upgrade”.
  • If the grade of new plan is less than that of the old plan, this is a “Downgrade”.
  • If the grade of new plan equals that of the old plan, this is a “Crossgrade”.

When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is “PlanChanged”.

Allowed values:
effectivePolicyenumOptional

The default value for the effectivePolicy field is as follows:

  • If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default.
  • If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default.
  • Otherwise, the effective policy is SpecificDate by default.

Notes:

  • When setting this field to EffectiveEndOfBillingPeriod, you cannot set the billing trigger dates for the subscription as the system will automatically set the trigger dates to the end of billing period.
  • When setting this field to SpecificDate, you must also set the contractEffectiveDate field.
Allowed values:
subscriptionobjectOptional
orderobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error